<?php

namespace FreshMail\Sender;

use Freshmail\Entity\AbandonedCartSettings;
use FreshMail\Entity\Cart;
use Freshmail\Entity\FreshmailSetting;
use FreshMail\Repository\FreshmailAbandonCartSettings;

class AbstractSender{

    protected $fmSettings = null;

    protected $cartSettings = null;

    public function __construct(FreshmailSetting $fmSettings, FreshmailAbandonCartSettings $cartSettings)
    {
        $this->fmSettings = $fmSettings;
        $this->cartSettings = $cartSettings;
    }

    public static function getProductList(\Cart $cart, \Context $context){
        $productList = $cart->getProducts();
        foreach ($productList as &$prod){
            $prod['img'] = $context->link->getImageLink($prod['name'], \Product::getCover($prod['id_product'], $context)['id_image'], 'cart_default');
        }
        $context->smarty->assign('list', $productList);
        return $context->smarty->fetch(_PS_MODULE_DIR_.'freshmail/views/templates/email/order_conf_product_list.tpl');
    }

    public static function getDiscountCode(Cart $fmCart){
        $discountCode = '';
        if(!empty($fmCart->id_cart_rule)){
            $discountCode  =  (new \CartRule($fmCart->id_cart_rule))->code;
        } elseif(!empty($fmCart->discount_code)){
            $discountCode = $fmCart->discount_code;
        }
        return $discountCode;
    }

    public static function getCartUrl(Cart $fmCart){
        return \Context::getContext()->link->getModuleLink('freshmail','restore', ['hash' => $fmCart->cart_token]);
    }

}