<?php

namespace FreshMail\Sender;

use FreshMail\Entity\Cart;
use FreshMail\Repository\Carts;

class Legacy extends AbstractSender implements \FreshMail\Interfaces\Sender{

    public function send(\Cart $cart, Cart $fmCart, Email $email) : bool
    {
        $context = \Context::getContext();
        $context->cart = $cart;
        $context->shop = new \Shop($cart->id_shop);

        $vars = [
            '{products_list}' => AbstractSender::getProductList($cart, $context),
            '{discount_code}' => AbstractSender::getDiscountCode($fmCart),
            '{cart_url}' => AbstractSender::getCartUrl($fmCart),
        ];
        $cs = $this->cartSettings->findForShop($cart->id_shop);

        return \Mail::send(
            $cart->id_lang,
            'abandoned-cart',
            $cs->email_subject[$cart->id_lang],
            $vars,
            $email->email,
            $email->name,
            null,
            null,
            null,
            null,
            _PS_MODULE_DIR_.'freshmail/mails/'
        );
    }
}
