<?php

namespace FreshMail\Entity;

use ObjectModel;

class Email extends ObjectModel
{
    public $id;
    public $email;
    public $last_synchronization;
    public $add_date;
    public $deletion_date;
    public $status;
    public $resigning_reason;
    public $hash_list;


    public static $definition = array(
        'table' => 'freshmail_list_email',
        'primary' => 'id',
        'fields' => array(
            'email' => array(
                'type' => self::TYPE_STRING,
                'validate' => 'isGenericName',
                'required' => true,
                'class' => 'lg'
            ),
           'hash_list' => array(
                'type' => self::TYPE_STRING,
                'required' => true
            ),
            'add_date' => [
                'type' => self::TYPE_DATE
            ],
            'last_synchronization' => [
                'type' => self::TYPE_DATE
            ],
            'deletion_date' => [
                'type' => self::TYPE_DATE
            ],
            'status' => [
                'type' => self::TYPE_STRING,
            ],
            'resigning_reason' => array(
                'type' => self::TYPE_STRING,
            ),
        ),
    );

    public static function addBySimpleInsert($listHash, $data){
        if(\Validate::isEmail($data[0])){
            \Db::getInstance()->insert(
                Email::$definition['table'],
                [
                    'email' => pSQL($data[0]),
                    'hash_list' => pSQL($listHash),
                    'last_synchronization' => date('Y-m-d H:i:s'),
                    'add_date' => pSQL($data[1]),
                    'deletion_date' => pSQL($data[2]),
                    'status' => pSQL($data[3]),
                    'resigning_reason' => pSQL($data[4])
                ],
                false,
                false,
                \Db::ON_DUPLICATE_KEY
            );

            return \Db::getInstance()->Insert_ID();
        }
    }
}