<?php

namespace FreshMail\Repository;

use Db;
use FreshMail\Repository\AbstractRepository;
use PrestaShop\PrestaShop\Core\Foundation\Database\EntityRepository;

/**
 * Class FormRepository
 */
class FormRepository extends AbstractRepository
{
    public static $LEFT_COLUMN = 1;
    public static $RIGHT_COLUMN = 2;
    public static $FOOTER = 3;
    public static $TOP = 4;

    public function getAllFormsFull()
    {
        $sql = 'SELECT a.`id_freshmail_form`, a.`hash_list`, a.`position`, a.`active`, count(' . _DB_PREFIX_ . 'freshmail_list_field.id) as `count_fields`, `a`.`name` '
            . ' FROM ' . _DB_PREFIX_ . 'freshmail_form a'
            . ' LEFT JOIN ' . _DB_PREFIX_ . 'freshmail_list_field ON a.id_freshmail_form = ' . _DB_PREFIX_ . 'freshmail_list_field.id_form '
            . ' GROUP BY a.id_freshmail_form';
        $lists = array();
        $results = Db::getInstance()->ExecuteS($sql);

        foreach ($results as $k => $v) {
            $lists[] = $v;
        }
        return $lists;
    }

    public function getActiveFormByPosition($position)
    {
        $query = new \DbQuery();
        $query
            ->select('flf.*, ff.name as "form_name", ff.subscribers_status, ff.confirm, ff.subscribers_status,ff.hash_list')
            ->from('freshmail_form', 'ff')
            ->innerJoin('freshmail_list_field', 'flf', 'ff.id_freshmail_form = flf.id_form')
            ->where('ff.active = 1')
            ->where('flf.include_field = 1')
            ->where('position = '.(int)$position)
        ;
        return Db::getInstance()->executeS($query);
    }
}